'''
this is a part of the heybuddy project
copyright 2010 jezra lickter http://www.jezra.net
'''
import gtk
import os
class Brand(gtk.VBox):
	def __init__(self,version,branch):
		gtk.VBox.__init__(self)
		heybuddy_dir = os.path.dirname( os.path.realpath( __file__ ) )
		default_icon_path = os.path.join(heybuddy_dir,"assets","icon.png")
		#we are not homogenous
		self.set_homogeneous(False)
		#make an hbox for some stuff
		hbox = gtk.HBox(False)
		image = gtk.Image()
		image.set_from_file(default_icon_path)
		hbox.pack_start(image,False,False,0)
		vbox = gtk.VBox(False)
		app_label = gtk.Label()
		app_label.set_markup("<b>Heybuddy</b> %s %s" % ( version,branch ) )
		vbox.pack_start(app_label,False,False,0)
		cp_label = gtk.Label("copyright 2010 Jezra Lickter")
		vbox.pack_start(cp_label,False,False,0)
		url_label = gtk.Label()
		url = "http://www.jezra.net/projects/heybuddy"
		if gtk.gtk_version[0]>=2 and gtk.gtk_version[1]>10:
			url_label.set_markup("<a href='%(url)s'>%(url)s</a>" % {'url':url})
		else:
			url_label.set_text(url)
			
			
			
		vbox.pack_start(url_label,False,False,0)
		(maj,min,mic) = gtk.gtk_version
		gtk_label=gtk.Label("GTK: %d.%d.%d " % ((maj,min,mic)) )
		(maj,min,mic) = gtk.pygtk_version
		pygtk_label = gtk.Label("PyGTK: %d.%d.%d " % ((maj,min,mic)) )

		sysvbox = gtk.VBox(False)
		sysvbox.set_border_width(10)
		sysvbox.pack_start(gtk.Label("System Info"),False,False)
		sysvbox.pack_start(gtk_label,False,False,0)
		sysvbox.pack_start(pygtk_label,False,False,0)
		#vbox.pack_start(sysvbox)
		
		hbox.pack_start(vbox,False,False,0)
		self.pack_start(hbox)
		self.pack_start(sysvbox)
		
